Subject: Re: bug#18958: 25.0.50; auto-revert-mode reacts slowly even if using an event-driven backend

From: Michael Albinus <[email-masked]>
Date: Thu, 19 Feb 2015 21:41:17 +0100

Dima Kogan <[email-masked]> writes:

Hi Dima,

I'm sorry that I could not interact earlier. Meanwhile I have read all
the threads about, and I believe your proposed patch is worth to be
applied.

> The issue is that auto-revert-mode reacts to modifications on a timer,
> even if its backend is event-driven. There is a prototype patch in that
> thread, attached here also.
>
> On Linux, the two available backends have issues, so this patch wouldn't
> be completely effective until those are resolved.
>
> The gfile backend has a problem where emacs isn't using glib correctly,
> and the gfile backend itself, in turn, adds artificial delays in how it
> deals with inotify. Those are discussed (and partly patched) here:
>
>  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18861
>
> The inotify backend has an issue where it doesn't deal with more than
> one monitored file in a directory correctly:
>
>  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18880

Both bugs are fixed meanwhile.

> From 567d8469dfb143786890c65de58bf2ce887e9ebd Mon Sep 17 00:00:00 2001
> From: Dima Kogan <[email-masked]>
> Date: Fri, 24 Oct 2014 19:44:43 -0700
> Subject: [PATCH] auto-revert-mode can now revert immediately in response to a
>  change event

I've applied your patch to the master branch (including Stefan's
recommendation to use defvar-local). Could you, please, recheck that
everything works as expected, also wrt the other two bugs you've mentioned?

Best regards, Michael.